## org.eclipse.emf.cdo.defs
Interface CDODefsFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDODefsFactoryImpl

    public interface CDODefsFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `CDODefsPackage`

Field Summary
`static CDODefsFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`CDOAuditDef` `createCDOAuditDef()` Returns a new object of class 'CDO Audit Def'.
`CDOClientProtocolFactoryDef` `createCDOClientProtocolFactoryDef()` Returns a new object of class 'CDO Client Protocol Factory Def'.
`CDOEagerPackageRegistryDef` `createCDOEagerPackageRegistryDef()` Returns a new object of class 'CDO Eager Package Registry Def'.
`CDOLazyPackageRegistryDef` `createCDOLazyPackageRegistryDef()` Returns a new object of class 'CDO Lazy Package Registry Def'.
`CDOPackageRegistryDef` `createCDOPackageRegistryDef()` Returns a new object of class 'CDO Package Registry Def'.
`CDOResourceDef` `createCDOResourceDef()` Returns a new object of class 'CDO Resource Def'.
`CDOSessionDef` `createCDOSessionDef()` Returns a new object of class 'CDO Session Def'.
`CDOTransactionDef` `createCDOTransactionDef()` Returns a new object of class 'CDO Transaction Def'.
`CDOViewDef` `createCDOViewDef()` Returns a new object of class 'CDO View Def'.
`EDynamicPackageDef` `createEDynamicPackageDef()` Returns a new object of class 'EDynamic Package Def'.
`EGlobalPackageDef` `createEGlobalPackageDef()` Returns a new object of class 'EGlobal Package Def'.
`RetryFailOverStrategyDef` `createRetryFailOverStrategyDef()` Returns a new object of class 'Retry Fail Over Strategy Def'.
`CDODefsPackage` `getCDODefsPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final CDODefsFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createCDOViewDef

    CDOViewDef createCDOViewDef()

  Returns a new object of class 'CDO View Def'.

  Returns:
    a new object of class 'CDO View Def'.

### createCDOTransactionDef

    CDOTransactionDef createCDOTransactionDef()

  Returns a new object of class 'CDO Transaction Def'.

  Returns:
    a new object of class 'CDO Transaction Def'.

### createCDOAuditDef

    CDOAuditDef createCDOAuditDef()

  Returns a new object of class 'CDO Audit Def'.

  Returns:
    a new object of class 'CDO Audit Def'.

### createCDOSessionDef

    CDOSessionDef createCDOSessionDef()

  Returns a new object of class 'CDO Session Def'.

  Returns:
    a new object of class 'CDO Session Def'.

### createRetryFailOverStrategyDef

    RetryFailOverStrategyDef createRetryFailOverStrategyDef()

  Returns a new object of class 'Retry Fail Over Strategy Def'.

  Returns:
    a new object of class 'Retry Fail Over Strategy Def'.

### createCDOPackageRegistryDef

    CDOPackageRegistryDef createCDOPackageRegistryDef()

  Returns a new object of class 'CDO Package Registry Def'.

  Returns:
    a new object of class 'CDO Package Registry Def'.

### createCDOEagerPackageRegistryDef

    CDOEagerPackageRegistryDef createCDOEagerPackageRegistryDef()

  Returns a new object of class 'CDO Eager Package Registry Def'.

  Returns:
    a new object of class 'CDO Eager Package Registry Def'.

### createCDOLazyPackageRegistryDef

    CDOLazyPackageRegistryDef createCDOLazyPackageRegistryDef()

  Returns a new object of class 'CDO Lazy Package Registry Def'.

  Returns:
    a new object of class 'CDO Lazy Package Registry Def'.

### createEDynamicPackageDef

    EDynamicPackageDef createEDynamicPackageDef()

  Returns a new object of class 'EDynamic Package Def'.

  Returns:
    a new object of class 'EDynamic Package Def'.

### createEGlobalPackageDef

    EGlobalPackageDef createEGlobalPackageDef()

  Returns a new object of class 'EGlobal Package Def'.

  Returns:
    a new object of class 'EGlobal Package Def'.

### createCDOClientProtocolFactoryDef

    CDOClientProtocolFactoryDef createCDOClientProtocolFactoryDef()

  Returns a new object of class 'CDO Client Protocol Factory Def'.

  Returns:
    a new object of class 'CDO Client Protocol Factory Def'.

### createCDOResourceDef

    CDOResourceDef createCDOResourceDef()

  Returns a new object of class 'CDO Resource Def'.

  Returns:
    a new object of class 'CDO Resource Def'.

### getCDODefsPackage

    CDODefsPackage getCDODefsPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.